GNU bug report logs - #28872
26.0.90; non-native-fullscreen does not play well with ns-transparent-titlebar on macOS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Aaron Jensen <aaronjensen@HIDDEN>; dated Tue, 17 Oct 2017 03:02:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 5 Nov 2017 18:59:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 05 13:59:15 2017
Received: from localhost ([127.0.0.1]:52617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eBQ8Z-0004BM-F8
	for submit <at> debbugs.gnu.org; Sun, 05 Nov 2017 13:59:15 -0500
Received: from mail-wr0-f181.google.com ([209.85.128.181]:46033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1eBQ8Y-0004B7-Da
 for 28872 <at> debbugs.gnu.org; Sun, 05 Nov 2017 13:59:14 -0500
Received: by mail-wr0-f181.google.com with SMTP id y9so6648518wrb.2
 for <28872 <at> debbugs.gnu.org>; Sun, 05 Nov 2017 10:59:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=73Yv14tlTJ9I6gKMsobemZYacrttmUiNLMcPFWsDY0Y=;
 b=Ru+G4OjaS3a71icjc53X2Ecv161FgqDEwncRQ7DagoiXWfXftcggMq4Oyh5lhYFNua
 JE1tJ36V5k3h0xfjuc0Mts42GfUbRYMpKI1zFAlxrpK72dOZi5eO1CaCnoMcJ5hfwy8H
 R7JObJbnBDJyEE/06uvcgL/51FXUp3+O/lYtYuPCDre7b5smwNLIH6OwckA4X2JnEOzm
 8P/dqCHByzdbDNeZll0FA9BqbbRQgM0vUcCjE2IwveRQ9majdIF2E2ionlHR8Orm69sD
 ScIpBwRocsbb3E6uGXfWTX86AC1ataPh63AW9ItQQjiBNk0l49OvRzKWLGtlsuUiHUDZ
 0V9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=73Yv14tlTJ9I6gKMsobemZYacrttmUiNLMcPFWsDY0Y=;
 b=roAV3uzkTVIiq/R5vBJG4iKtypyNv9s1x7XC8CkqXyliZqbpwtcVtwVgkM3epTiKlY
 /FULdWe8JwvFD+h7iVpkEK92kLXlPGqqSsqEGP4/J7x8BBZJcbofTmeq8hsA/IbqCujp
 Wzq5/sT12Ot0vKSl9EtEaplyj9Fu0W8RyVopNG3Kw3AltATnk7wk26w2h09WYXE64bVo
 ufJcaC+Xpn1E/GevYhYnL9vbXNFF1ZAqfYMXMwglizLn2Fmc9dOIBQtoyxYl5Ej1B2yA
 4Us4IY9cVyzUouO+q/Z2AmccK8oOhcQEYzhM3mNnBLRukE63bpGaeKmlNqq0e7iSlklG
 YZGQ==
X-Gm-Message-State: AMCzsaXHiOzFIU1N/TehLZOZb1nE1JAY681Q9ppe1w2xww1mt6i/eaAw
 JEc/ffgPwrKJHdbOTTw0HFk=
X-Google-Smtp-Source: ABhQp+RHdzo5+3fbwuQedP1frmM3B///tZgMfEatclWlznkhUtNItNZCMiOoBiLAG+31akKiqLHfxQ==
X-Received: by 10.223.163.11 with SMTP id c11mr10543459wrb.102.1509908348557; 
 Sun, 05 Nov 2017 10:59:08 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-5dae-ba1c-b433-4da6.holly.idiocy.org.
 [2001:8b0:3f8:8129:5dae:ba1c:b433:4da6])
 by smtp.gmail.com with ESMTPSA id 74sm10174751wmf.4.2017.11.05.10.59.07
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 05 Nov 2017 10:59:07 -0800 (PST)
Date: Sun, 5 Nov 2017 18:59:05 +0000
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
Message-ID: <20171105185905.GA33911@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
 <CAHyO48xmLE-Xqp0=E9kfgrWQ2rJevXs8TKojKz4-bhwUHMa0aw@HIDDEN>
 <20171028131927.GB70513@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20171028131927.GB70513@HIDDEN>
User-Agent: Mutt/1.9.1 (2017-09-22)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Sat, Oct 28, 2017 at 02:19:27PM +0100, Alan Third wrote:
> Maximising instead of resizing would work, but once the decorations
> are disabled maximise stops working, and maximising then removing
> decorations leaves a gap at the top of the screen.
> 
> I guess I’ll have to look into whether maximise can work with
> undecorated frames. Presumably it’s caused by the removal of the
> resize bit from the styleMask.

This is only an issue when ns-use-native-fullscreen is nil. I can’t
for the life of me see why.

Interestingly if you set it to nil, the third button on the titlebar
still uses native fullscreen, then hitting f11 to switch back crashes
Emacs. (macOS sometimes implicitly enables fullscreen even when you’ve
explicitly disabled it using NSWindowCollectionBehaviorFullScreenPrimary.)

I think at some point I’ll try and strip out Obj‐C non‐native
fullscreen for macOS and just leave it for GNUstep. Then perhaps a
lispy fullscreen script will work better.

I don’t think that will be before Emacs 26 is released, though.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 31 Oct 2017 08:40:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 31 04:40:58 2017
Received: from localhost ([127.0.0.1]:43162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e9S6T-0004Cd-Ub
	for submit <at> debbugs.gnu.org; Tue, 31 Oct 2017 04:40:58 -0400
Received: from mout.gmx.net ([212.227.17.22]:63500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e9S6S-0004CP-6T
 for 28872 <at> debbugs.gnu.org; Tue, 31 Oct 2017 04:40:56 -0400
Received: from [192.168.1.100] ([46.125.249.55]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LxPgU-1d3y7b2GiY-016wXG; Tue, 31
 Oct 2017 09:40:37 +0100
Message-ID: <59F836FE.8080302@HIDDEN>
Date: Tue, 31 Oct 2017 09:40:30 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN> <59F19531.8060408@HIDDEN>
 <20171028131127.GA70513@HIDDEN>
In-Reply-To: <20171028131127.GA70513@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:3rVJLfJsjPn0XLYN18k/w5XZW/gXC24Vpp/uty1nYO5K7bqn7Dw
 HYo7oDmod1ITKG6jrxXwSHnjbKpciVpKslCMO5CaFQhcacTsxDhZntIktVG5kXhKFuvXBvE
 8l1QQbfG/hTLyt2dLrhR+i9VdppmqMv04sdbipiRLQFOins7HeUKfbw7AtErf+/+DtnWyoG
 S2mMj2BevjinbFP4L3xYA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:IU+Cv3NW8I8=:mz94gM+ZLpwU0zwP3h37xx
 DVAPaBpAu06FTS+MRLFJm6OALSoflY1BwWKQ1KtfFHWlazYDupwCbaou8jGLShXUqth8zcp9f
 Fhg5Is1NDLK8bsNjNugm+fJOiqAuznr2V54ZgEakfuXR5G/sAnXBXNEL3JEySLZZQebNPr4oj
 CrC5iYLcSbkkuY3AyVaIFB7jhTvvYPO3Ld5oomqCk4yp9MaSrweDJORKM5lGc792XRiCDJX4R
 l3RPxEvgzm2O6aTEfasszKQccNm8lo16+sxpOlK6Xc9QGsXoYo9gAbI53sYu93zQHn150HnYZ
 tf42blAIJZKruVuiaQJ3l0WuLUI8kMq4ikujFCT7EBjCZ0jRQWTpJP4zkgZTMs1TmfyedTE3s
 2Ju/Fv72BV5/jyMu02r1qGcgnrpUI9iwGHERsfTFHgx9Ufix1U5d2NxZagWuqh2EjiPoFO4MR
 +8h5qgfcD6M0SWjB/OXCjyeHgUhdhL1mYgKDRoDL5FbhkanjF5ZUBDiyKdWOe27W6X1EejtMs
 L5rKqz+wU18ROKxmbGqGZRKav45bcrwfBeI5c3DxiLEZUbDg09ejj1eTywT+bCjv9+e0TL5uF
 dQNewuJGEZsUy6AZfrKnpqpxGqO+f+F6whR8KG1HcwKF311k84BJYfZUeDPxMc1E/PUcqSfqG
 EVrbI+OtzssxOb4yRxFWF02k13dOjSOcEBYBs17TNp3RJhBDj5QrbOcRU1PmyZIZufWIgbSbG
 2qkcBTW8fK8754coQRm2VyxEu0xVyZozpdqxd5FHSDHbvrT5syigdLXQHcqvqXvVF/L5IGdtx
 dITX9G9E/27EmkMFZ7AS/K4fEqrBY/WXaRXe/Ws0PLlWTOYDLz7AsB9SvIfL2WuWRfVMbro
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org, Aaron Jensen <aaronjensen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > What are original-width and original-height used for?

Maybe the terms =E2=80=98normal-width=E2=80=99 and =E2=80=98normal-height=
=E2=80=99 would be better.
They would be used for storing the width and height of the "normal" (not
maximized, fullscreen) frame.  Currently, we store as width and height
the current size of the frame even if it is, for example, maximized.
Manipulating the width or height will then resize the frame although,
conceptually it should remain maximized.

Some window systems allow to set the normal frame size while a frame is
maximized without actually changing the frame size.  Demaximizing the
frame would then use that new size instead of restoring the frame to the
size it had before maximizing it.  I'm not sure whether we can do that
on all our platforms though.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 28 Oct 2017 17:18:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 13:18:03 2017
Received: from localhost ([127.0.0.1]:39429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8UkF-0001U2-H0
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:18:03 -0400
Received: from mail-qt0-f169.google.com ([209.85.216.169]:55161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1e8UkD-0001TY-HK
 for 28872 <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:18:02 -0400
Received: by mail-qt0-f169.google.com with SMTP id z19so11908644qtg.11
 for <28872 <at> debbugs.gnu.org>; Sat, 28 Oct 2017 10:18:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=BDWHIMRb6urTreUhWS5WIynbFd3ir/+vfOKTYVeDU3k=;
 b=Ic4ZwGmH23XJiafLe6IAQLrOSwXamUCnkY65ybx6PTHX5EjCQVzrvQi3dfHFkE59Im
 eTREPKvUIGpfgxrdLXELDeIv3UGVJT5n4Up+uM69ybU8TMeRF8+hbrQGASHNYD0MlQVj
 eQQevWODIFrINb+r936Ig5rKVFL1j253Gu9Rn37MzEN1kVlfB0+g1EpV+Szgwc9PNpTg
 flwj6wfh64oiwU+u/jY3uG99j335I2cszfIl3U4jZh2PBNoXIs5qVntgUcat6wqld59s
 x6Id75QV0T/wVx+TuKVAd2dPsVFF2BfQTvTm7uwK879Ot2qMNo4jmiQqm+R5aMJ/sOt1
 IZ+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=BDWHIMRb6urTreUhWS5WIynbFd3ir/+vfOKTYVeDU3k=;
 b=WR2wZnQZ0vOHwaPcCR+NRTnJjkfPdUbFjnvqSAXBssbWueKSgj9rx3BRb3NIdpHcDn
 d2q7TBjFQusPxDZOMEuNkkGfwgfG/gzcoltfXw2MbWPjayRGefXTx1MjLVFyuATONGWP
 +jdZVX/dRvGS198/e9zfGA3ymINBmmUEMFov3Ju2RK7xTn+8WUupot2rrzj0yLnhHuXy
 CLF+/FX7qtnw0qHbyUHa1P3ODia+kuZpwkrZqiS3Y21dC/VAgcZg8sXhDLMOWwXfZBXo
 bIKaZLf7toN6PCVy+wX0qkjuLzbkoQD5PGkQrE6cdNwPV7PHrF+gvCjk8YxL1cwrOvkO
 8tRA==
X-Gm-Message-State: AMCzsaVBjrZHKd8OXjj0/SEiOMr6dvWRQjl+byM199BPhbwcVMczFZ42
 1NPnkMAMsvg9+BlC9/bGHJKfMA9xHRc2LZ8bUSy5VA==
X-Google-Smtp-Source: ABhQp+TXv6vaOuJ/SElg/d3sTvJBz01Q8zJ8RIY6gVyi7TJH5uA+gdMtqJjN7m3aN1AOkspQ+qj9vTyT+a/ZoWbcxV0=
X-Received: by 10.200.36.150 with SMTP id s22mr6796803qts.237.1509211076210;
 Sat, 28 Oct 2017 10:17:56 -0700 (PDT)
Received: from 1058052472880 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 28 Oct 2017 10:17:55 -0700
From: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <CAHyO48x6OPcH_woL0s2ntfW7=ghRF+qXFDsEA83Op=tbjkOFHw@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
 <CAHyO48xmLE-Xqp0=E9kfgrWQ2rJevXs8TKojKz4-bhwUHMa0aw@HIDDEN>
 <20171028131927.GB70513@HIDDEN>
 <CAHyO48x6OPcH_woL0s2ntfW7=ghRF+qXFDsEA83Op=tbjkOFHw@HIDDEN>
X-Mailer: Airmail (457)
MIME-Version: 1.0
Date: Sat, 28 Oct 2017 10:17:55 -0700
Message-ID: <CAHyO48xmi0KTG5MOveOoAWHa7inhbsmqSiVEXJnEYskM-zoNqw@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well with
 ns-transparent-titlebar on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

> On October 28, 2017 at 6:19:31 AM, Alan Third (alan@HIDDEN(mailto:ala=
n@HIDDEN)) wrote:
> >
> > I=E2=80=99ve attached a half=E2=80=90assed attempt at a lisp=E2=80=90po=
wered fullscreen for
> > macOS. It won=E2=80=99t work elsewhere.

One other thing I noticed is that this does not respect the screen
that the frame is on, it always maximizes to the primary monitor.

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 28 Oct 2017 17:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 13:15:55 2017
Received: from localhost ([127.0.0.1]:39424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8UiB-0001QD-2G
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:15:55 -0400
Received: from mail-qk0-f177.google.com ([209.85.220.177]:53362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1e8UiA-0001Q0-Ak
 for 28872 <at> debbugs.gnu.org; Sat, 28 Oct 2017 13:15:54 -0400
Received: by mail-qk0-f177.google.com with SMTP id y23so11744561qkb.10
 for <28872 <at> debbugs.gnu.org>; Sat, 28 Oct 2017 10:15:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=+SF2W4mKybtNnWGTQNfobF9moXKeu8o+HEVnd6ZfV9w=;
 b=ai0TAL3fMQE6s+BNosx8G6s6B+NlmCbHlGjxL2J9NMrDhu8U8y/253s19tpnYYMPzB
 dKW/PzIo6mbcCPyuYXryeWEI0He1mGZvVASvbgcVTdmNVDYFNvAhrQ0+wr2Lddkw9J9h
 LrQuWhCINz770PFyc0hjgzHaNyu84Vs9zaUx9/l1OymKq7ACNdF7aIRc5bUZ/KM2bQni
 ETts0F2QK2ZED16XvRu/uOgdXDCIZuddOfOQkydJFSbJRQHmKNm+S2gUFdWdVbuiUk6i
 MrsKJD1G4l6IcrZcMrMWYxQHccE4ZGmy3siq9SFRlSeapSBLO2Q59veDmyLQP63WQ9Kh
 0qHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=+SF2W4mKybtNnWGTQNfobF9moXKeu8o+HEVnd6ZfV9w=;
 b=jH5wRKa3rCz9Wo/D3GGlhPYfgT0u/+qsU5QVc7znUnU2u5Q46JnUNNGLdypEJK+UQ0
 T1G8F2INuSiFhNDZgcgai/toWbAcCTFHTbWyzuzr/90jZmHh7Pa0EIbbEjhQYN0FXuMQ
 Adk6prHkx5ny7eM6Xc3kDiuhGF2ulOK+7BEcQiJNLNRw8XyMjiCy2CpSQ70oqa+EQqew
 j5oAXtZbw5W+WwcTgHGWcbxjQoni7A1rYAL2PAyScov06SA66O3h8xkH8tuAw435tKAB
 JTXMD5cpmitxbGujc78B9d3X7LrNrL9KbzrW1t+pi4Zg/YzeBJEqLVCRFAS85NYfXDFx
 oa9Q==
X-Gm-Message-State: AMCzsaUoW5n70RN0qQ0VxAYjQL6zUsrNZyoT5XABqmgz26/n/zVsTimG
 yOPJoDBTyWTaLl9lBTpi/T/P8u+rHwl+UoWmCJhPVQ==
X-Google-Smtp-Source: ABhQp+T6d0/z6o0Y40BAz1PVfvDgJWW9txahFx+tgBPWdKQ4dHmoOuMgOfAUpB9foRTvzHcNJlJxHC3FYa5f/ZChpLY=
X-Received: by 10.55.73.70 with SMTP id w67mr6407335qka.215.1509210948828;
 Sat, 28 Oct 2017 10:15:48 -0700 (PDT)
Received: from 1058052472880 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 28 Oct 2017 10:15:47 -0700
From: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <20171028131927.GB70513@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
 <CAHyO48xmLE-Xqp0=E9kfgrWQ2rJevXs8TKojKz4-bhwUHMa0aw@HIDDEN>
 <20171028131927.GB70513@HIDDEN>
X-Mailer: Airmail (457)
MIME-Version: 1.0
Date: Sat, 28 Oct 2017 10:15:47 -0700
Message-ID: <CAHyO48x6OPcH_woL0s2ntfW7=ghRF+qXFDsEA83Op=tbjkOFHw@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well with
 ns-transparent-titlebar on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On October 28, 2017 at 6:19:31 AM, Alan Third
(alan@HIDDEN(mailto:alan@HIDDEN)) wrote:

> On Wed, Oct 25, 2017 at 11:15:20AM -0400, Aaron Jensen wrote:
> > On October 25, 2017 at 6:38:23 AM, Alan Third
> > (alan@HIDDEN(mailto:alan@HIDDEN)) wrote:
> >
> > > In order to use lisp to do the fullscreen thing we=E2=80=99d need to =
keep
> > > track of various =E2=80=98windowed=E2=80=99 frame parameters, ie. und=
ecorated, width,
> > > height, origin, maybe others. I assume it would be OK to stick them
> > > into the frame-parameters alist under a special key, so we know where
> > > they are when we want to switch back.
> >
> > This seems reasonable to me. I wonder if it would fix the lag when
> > full-screening that=E2=80=99s there now. That=E2=80=99s always bugged m=
e.
>
> I=E2=80=99ve attached a half=E2=80=90assed attempt at a lisp=E2=80=90powe=
red fullscreen for
> macOS. It won=E2=80=99t work elsewhere.
>
> At the moment it makes the frame too wide by 35 pixels. I seem to
> recall reading about that at some point, but I can=E2=80=99t remember if
> there=E2=80=99s a way to do it properly. It also seems to make the frame =
a
> little too tall.

There are some math problems when sizing or inspecting the size of
frames on macOS afaict. I have this package that I use to restore my
frame position on restart because desktop-save-mode doesn=E2=80=99t work we=
ll
for me (I think because of this bug) and I have to tweak the
dimensions by 20px x 4px when restoring:

https://github.com/aaronjensen/restore-frame-position/blob/862a72c65769fa9e=
ee6f56434a1d649a6696ce23/restore-frame-position.el#L44-L49

> Maximising instead of resizing would work, but once the decorations
> are disabled maximise stops working, and maximising then removing
> decorations leaves a gap at the top of the screen.

Have you looked into how iTerm2 handles non-native full screen? There
are some notes in there about various things one must do to handle it:

https://github.com/gnachman/iTerm2/blob/d40c14de61c1574a58780967afd3c17583b=
33cd8/sources/PseudoTerminalRestorer.m#L138

The exact logic seems to differ based on whether or not it=E2=80=99s native
fullscreen and exactly which version of macOS it is. <=3D 10.10 and >=3D
10.11 behave differently, I guess.

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 28 Oct 2017 13:19:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 09:19:38 2017
Received: from localhost ([127.0.0.1]:38142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8R1W-0001n6-Hw
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 09:19:38 -0400
Received: from mail-wr0-f180.google.com ([209.85.128.180]:47318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1e8R1U-0001mt-QF
 for 28872 <at> debbugs.gnu.org; Sat, 28 Oct 2017 09:19:37 -0400
Received: by mail-wr0-f180.google.com with SMTP id y39so8412107wrd.4
 for <28872 <at> debbugs.gnu.org>; Sat, 28 Oct 2017 06:19:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=EXVJzP7na8uF92lkkv/F6gfdsqEDXgXAXwSddRxpDMw=;
 b=JS8GdXD5E7jjgjduGFItvpd2H0zEWrhnzj6QQCsXi/sDJ/Ag1RLKWYY8U91RSeYVIb
 EpMFj6Hs3N8QF9qGS3eHZaZGaRkdX9Kno79Y3VwXAukosOuT4F3DAKMLzhfxiUvcmpOY
 FQhy4Aw/eXhOK6eK3sM/vnxo65PEyalH4TiDVIY2ZjHIOlM85OxsZP9Ai6slus8vBtz5
 oe4MSCe1b8M8X31OFunWMf98hyKfTj5J8biqkJ7b//EC6Tev68CYsjrbqmtlUqVv9xKl
 bogU66d/PaqcxViTyI8hILhofgY80h+i0AiJvZg99EwXPB/a5XhcZtLyQv6LbLQiEqNv
 qLcw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=EXVJzP7na8uF92lkkv/F6gfdsqEDXgXAXwSddRxpDMw=;
 b=hjHtYZd+6p4IuGrUnHskfbXVYWWuGTONpy4XoqEkOSzHOB7AFzHRQct60cX5Nd4/Or
 yq2ITvohfinRt4Jab3n0p3YsKxZ8FpiPl/XPPL5mETlAxaYYF0vb/CWjI9OKyBViUMsX
 QalPttXTmiLME76yCTNvlKqIN87uBQipL0TL/V05SzXQyOIZFYD78veYwLon8s8SfILB
 MmwpJ++wKgfN3o2B5PAgwWeOTGf7rnwgkL8f9g42UOt9wJ3R03UGzm3LzD0YGBwMGFsH
 aUh6sefF+T0mBEvPJz/v6nb18du33XVumPgJ3X5GJJTZHMTyzN7XYQgnKuQjUR1hczR5
 qHjg==
X-Gm-Message-State: AMCzsaWNaYI5eiwUEYgjlC666DNvLSTXuwRZpqqUUaNw51rb9pIl9dke
 Z0omT73QzWIEQdx9sUBcw3c=
X-Google-Smtp-Source: ABhQp+S+4AuAtwaggaQXOzZ4oWXuw7vBAKYAIxULQtoc7PXaH6LaiDl+sGp79TRPKGFA+p112MTTmw==
X-Received: by 10.223.131.65 with SMTP id 59mr2830045wrd.66.1509196771003;
 Sat, 28 Oct 2017 06:19:31 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-11f2-7bc5-4121-7c0b.holly.idiocy.org.
 [2001:8b0:3f8:8129:11f2:7bc5:4121:7c0b])
 by smtp.gmail.com with ESMTPSA id p49sm19323410wrc.61.2017.10.28.06.19.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 28 Oct 2017 06:19:29 -0700 (PDT)
Date: Sat, 28 Oct 2017 14:19:27 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
Message-ID: <20171028131927.GB70513@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
 <CAHyO48xmLE-Xqp0=E9kfgrWQ2rJevXs8TKojKz4-bhwUHMa0aw@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="lrZ03NoBR/3+SXJZ"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAHyO48xmLE-Xqp0=E9kfgrWQ2rJevXs8TKojKz4-bhwUHMa0aw@HIDDEN>
User-Agent: Mutt/1.9.1 (2017-09-22)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)


--lrZ03NoBR/3+SXJZ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

On Wed, Oct 25, 2017 at 11:15:20AM -0400, Aaron Jensen wrote:
> On October 25, 2017 at 6:38:23 AM, Alan Third
> (alan@HIDDEN(mailto:alan@HIDDEN)) wrote:
> 
> > In order to use lisp to do the fullscreen thing we’d need to keep
> > track of various ‘windowed’ frame parameters, ie. undecorated, width,
> > height, origin, maybe others. I assume it would be OK to stick them
> > into the frame-parameters alist under a special key, so we know where
> > they are when we want to switch back.
> 
> This seems reasonable to me. I wonder if it would fix the lag when
> full-screening that’s there now. That’s always bugged me.

I’ve attached a half‐assed attempt at a lisp‐powered fullscreen for
macOS. It won’t work elsewhere.

At the moment it makes the frame too wide by 35 pixels. I seem to
recall reading about that at some point, but I can’t remember if
there’s a way to do it properly. It also seems to make the frame a
little too tall.

Maximising instead of resizing would work, but once the decorations
are disabled maximise stops working, and maximising then removing
decorations leaves a gap at the top of the screen.

I guess I’ll have to look into whether maximise can work with
undecorated frames. Presumably it’s caused by the removal of the
resize bit from the styleMask.
-- 
Alan Third

--lrZ03NoBR/3+SXJZ
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="ns-fullscreen.el"

(setq lexical-binding t)

(setq ns-use-native-fullscreen nil)

(defun ns-toggle-frame-fullscreen ()
  "Perform non-native fullscreen neatly on macOS."
  (interactive)
  (if (frame-parameter nil 'ns-use-native-fullscreen)
      (toggle-frame-fullscreen)
    (let ((fullscreen (frame-parameter nil 'windowed-params)))
      (cond
       (fullscreen
        (let ((auto-hide-menu-bar (cdr (assq 'ns-auto-hide-menu-bar (frame-parameter nil 'windowed-params))))
              (windowed-params (cdr (frame-parameter nil 'windowed-params))))
          (set-frame-parameter nil 'windowed-params nil)
          (modify-frame-parameters nil windowed-params)
          (setq ns-auto-hide-menu-bar auto-hide-menu-bar)))
       (t
	(let ((old-params
	       (list (cons 'ns-auto-hide-menu-bar ns-auto-hide-menu-bar)
		     (assq 'undecorated (frame-parameters))
		     ;(assq 'fullscreen (frame-parameters))
		     (assq 'width (frame-parameters))
		     (assq 'height (frame-parameters))
		     (assq 'top (frame-parameters))
		     (assq 'left (frame-parameters)))))
	  (setq ns-auto-hide-menu-bar t)
	  (modify-frame-parameters nil `((undecorated . t)
                                         (top . 0)
                                         (left . 0)
                                         (windowed-params . ,old-params)))
          (set-frame-size nil (display-pixel-width) (display-pixel-height) t)))))))

--lrZ03NoBR/3+SXJZ--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 28 Oct 2017 13:11:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 09:11:38 2017
Received: from localhost ([127.0.0.1]:38136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8Qtm-0001ar-Ih
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 09:11:38 -0400
Received: from mail-wr0-f172.google.com ([209.85.128.172]:48011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1e8Qtk-0001ae-7t
 for 28872 <at> debbugs.gnu.org; Sat, 28 Oct 2017 09:11:36 -0400
Received: by mail-wr0-f172.google.com with SMTP id y39so8402257wrd.4
 for <28872 <at> debbugs.gnu.org>; Sat, 28 Oct 2017 06:11:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=DKAYMoxmQoXYhAr0dgUp7GVW3s7KFi5gaDTcGhaALH8=;
 b=mrE6PPHtTb5U2oyP/CZfVp44GX+6xFSyjTQV6fkIalsC8vaGNs2OGDgXqi/uK5U//C
 9447chBgoGxcfq2U/4LLhJjoAIkwAbsrQfiJAZnoo38bjPU9uBykzUrJiOvzu03OhVjr
 hKjeGflKerwD5Aunpem3rJlYROHkOCfKH6x8BTLG3pBZyhNjHabBvFtL8X312zxPqrbD
 gb5eUDDmPb2hbryW14K+FKGTT4QJ2zu1S4bRW5IuUJCzaA8xsoWqRHyZx6KwrbKgXJw7
 NDQq4SS4SamP5MMPlJKqC9GaLmLSYdDoArvqOF+XKoRmIgLqr/v/wQuQwSGFpEG66UCi
 eD9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=DKAYMoxmQoXYhAr0dgUp7GVW3s7KFi5gaDTcGhaALH8=;
 b=qRj9ExS4i1d9KIjmYuf1aNrCU1g4703ihhAnN6oyL56tfj4X6DmKekznjX1IwJd0c7
 T2V2Ytr/G9TBsPm0KE5sE+I1nHMz70hdV8geyRhSrQHfXlmV0aaSi4zb4UJugQOO3AZV
 ITg1py2pVTcqpi4eDNvBFt30uU8cr8LX6go2CUXXBDhryin2Ovknl4MMhSfIshuUmbqD
 HrLFOd3QeLQMPPiYEcicGDh//2C/0XPuDTd93kNRubD7rj6nKcXsYRe7fQRmLWdt9tZU
 mmRfRruZXxmckLWEhsbKfBfcnWK0si4g5bNJVOkMok9254F+5YX1/SqhI/U5zp/P8s+n
 RCfg==
X-Gm-Message-State: AMCzsaWn/sNUK37ICNNVoCzKcZNj9wScFCM4zAcV7ooFCiCWMyDd6bD1
 Q0KGMUs9CeCOBh/GLRYiegI=
X-Google-Smtp-Source: ABhQp+REV0JPgaU8f+NcgUQuv8x/jXtU1Iu7bbS9Mk41/W5DTcduQ3dbN8iqCNs5GnCXcosbVVHN0A==
X-Received: by 10.223.147.135 with SMTP id 7mr3144777wrp.237.1509196290537;
 Sat, 28 Oct 2017 06:11:30 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-11f2-7bc5-4121-7c0b.holly.idiocy.org.
 [2001:8b0:3f8:8129:11f2:7bc5:4121:7c0b])
 by smtp.gmail.com with ESMTPSA id t189sm2061427wmf.43.2017.10.28.06.11.28
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 28 Oct 2017 06:11:29 -0700 (PDT)
Date: Sat, 28 Oct 2017 14:11:27 +0100
From: Alan Third <alan@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
Message-ID: <20171028131127.GA70513@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
 <59F19531.8060408@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <59F19531.8060408@HIDDEN>
User-Agent: Mutt/1.9.1 (2017-09-22)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org, Aaron Jensen <aaronjensen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Thu, Oct 26, 2017 at 09:56:33AM +0200, martin rudalics wrote:
> > In order to use lisp to do the fullscreen thing we’d need to keep
> > track of various ‘windowed’ frame parameters, ie. undecorated, width,
> > height, origin, maybe others. I assume it would be OK to stick them
> > into the frame-parameters alist under a special key, so we know where
> > they are when we want to switch back.
> 
> We might need the 'original-width' and 'original-height' values for
> other platforms as well.  I'm still not happy about our current
> implementation of fullscreen.  But what is the 'origin' parameter?

The top and left parameters. I couldn’t remember what they were
called.

What are original-width and original-height used for?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 26 Oct 2017 07:57:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 26 03:57:04 2017
Received: from localhost ([127.0.0.1]:33954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e7d2G-0005va-Ge
	for submit <at> debbugs.gnu.org; Thu, 26 Oct 2017 03:57:04 -0400
Received: from mout.gmx.net ([212.227.17.21]:50485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e7d2E-0005us-Ac
 for 28872 <at> debbugs.gnu.org; Thu, 26 Oct 2017 03:57:02 -0400
Received: from [192.168.1.100] ([46.125.250.87]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LinyL-1dbK0u0mJp-00d0kB; Thu, 26
 Oct 2017 09:56:45 +0200
Message-ID: <59F19531.8060408@HIDDEN>
Date: Thu, 26 Oct 2017 09:56:33 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Alan Third <alan@HIDDEN>, Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
References: <m2sheisck4.fsf@HIDDEN>	<20171017142558.GA2460@HIDDEN>	<CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>	<20171019111710.GA12599@HIDDEN>	<CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
In-Reply-To: <20171025133820.GA54299@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:xgUzUlPCXJDtN3I2RUrsROlRY9GoEF9ZXnyZbz0GF0+2Rcc40H5
 hYpjoLKCzyMS0CCpgSKIWjB6j8kxN8SvcEaBPOvvOVBDnFF5HjI7lpmyOgu8OiJ3S2ULRsj
 kNJHuHHq1FgXFEMix6TG8z9gXSV+wGbD2myO65Krr1lZ9t9sS/dIKyEjWXjte40ThKJimCy
 BL9zxMEQ0fBySdS9yRJvA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Q/qIJUiZGJ8=:EcSalaNPo2YFRHkv1aYYqA
 aS2R9L1e9JHtuxSYMYIWEAHNlLmrpkTT6nMCE7sC0a1Wd209pNtkPne/vmtChG6rjJ6eur2Ca
 41Z9aZX2EznoIlRF5xC1axV3//lUQ4mmEz/WDGBARKQ0Ao1PMts8+VNQKYcCGSoQ7Gm2g9I7R
 AGIYw/gHw3JhukfuEYia8C0+3EjHVa0BMzVMOzm1BmRRq0V+8aEe2v6tyUZwf3iZo79i8Rb9A
 IVxqh0W7tV7yC/F5Ev6ZFO8CI28AFKxZg29RcPist2v2yGmL2sE/CUGRSi8n5vpMt+3YXCkvR
 0F4gbnz31VT6jcdJYd5dgErv4H1ZxG83o42EDY93x3qJEgZqblAuKlcvl9ilfWpRdMJ9u5ThE
 gUfMYmqPh4ulXv2gFVsvvZ2Fr1RDEi4aMZYGCUK4QIU509O/e4PIFWLrOGfNjQ0iDDHi7ICWq
 6cffYAUCQGqexpItJlKccHcL4PSg5X/W5y/a96PLuM4L+hYiTq1p0xLdy/d9LVyTZmVLmP1Bf
 /pigd8Hzr7tLKvYZd8VwqZTRcRy0wr/v7AxUxpO4pjD9x7BXaFcAieGFB2LKO+Lu5GTHW/bHe
 79HGYAYb+qg+QG7KqObBiCX+naC1dzTGViww2Z1K1k0/IbBHUdZ3N92u/gRkNQ0D1MMhGerhx
 qpG9rWuBudU6aHEQKbjhwOxYCF9+9Mv8DosWxs1AHUpS0nAZSP90vFuXl8i4uL9AuDOkA7rZC
 zFg8j8AiylUVYgaH40GfA3gHVM+mlljWdC/O4zWjC6l4cIXuDtI8eS52+PY45KnGdPCB499qy
 wD2Ffvm1A32AFjJX9bOANws/vqyhgPbFNPf6s+GawkuCK7Tk4As1Q40Ca5fUfv8xdg1Lded
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > In order to use lisp to do the fullscreen thing we=E2=80=99d need to k=
eep
 > track of various =E2=80=98windowed=E2=80=99 frame parameters, ie. unde=
corated, width,
 > height, origin, maybe others. I assume it would be OK to stick them
 > into the frame-parameters alist under a special key, so we know where
 > they are when we want to switch back.

We might need the 'original-width' and 'original-height' values for
other platforms as well.  I'm still not happy about our current
implementation of fullscreen.  But what is the 'origin' parameter?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 25 Oct 2017 15:15:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 25 11:15:29 2017
Received: from localhost ([127.0.0.1]:33472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e7NOz-0002lX-9V
	for submit <at> debbugs.gnu.org; Wed, 25 Oct 2017 11:15:29 -0400
Received: from mail-qt0-f178.google.com ([209.85.216.178]:54575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1e7NOw-0002lG-QU
 for 28872 <at> debbugs.gnu.org; Wed, 25 Oct 2017 11:15:27 -0400
Received: by mail-qt0-f178.google.com with SMTP id z19so422736qtg.11
 for <28872 <at> debbugs.gnu.org>; Wed, 25 Oct 2017 08:15:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=gVUf2XptMu7dB/GaA66eFh/5/QL1WmG3fS2TSGHE7ug=;
 b=VZKLSmMIHSErFqiCIEB6HcBtf1l+CXVMY09XDEr4Hk/lGl5fL4DgF05+Z968cGMWvQ
 dbdzH10E69Sa/lBcDhY+FDJlyYaMCFHO600NcrrMJA5jN2/TBttQBZLG+xISH06uyRoj
 7zooyPoWdxqCg3CrkZxns24rxNET/jwiNZ9I3tki7KSFYn5a4Zuufl4lR10uqaozUWaZ
 29CB7K+4sq3180FK2RGiMEBXPcxgA0UnqHZMYbg2/U8OgSh/nmXtSqdhZ0FFr7hBO6sf
 uQX6fo21cbFExTrb45EhDTF4w1gOQyLImI0jEMf51SsgGbop5VKVs6CsDEIPX0nYZWJ0
 3Img==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=gVUf2XptMu7dB/GaA66eFh/5/QL1WmG3fS2TSGHE7ug=;
 b=fmgoDRIIlvza8CH+iipwQze9EBf+ObGEMQbKRHilWU5Zd6qLRg6fM27zC2CF9sSJ0g
 ff7uhoWiwhvz0HeBsI3ihPZzrWZnVtIdp7AUfMM83WoAWEYIxqUUO6CJ4qSWX+DX5Tau
 UokCve7C6bXZGHFxUfzgNLTRuqPgWC2tBPTOQ4SUoLb05hrZ98v1fw4aWSFQP9ObURIZ
 LjS2E1YYB1ZswSQ7/uB8S4oDg3yE5b8GeAelWlQSyZBJrT8fjC/JyyQiRYAgxc+936+n
 LPLkwRkJ8XCCM/XlZOCf0ZsH+pZhUhC0c6nagv1rTVruys1qv7kNI2+mnIspblnp4mY2
 tjNg==
X-Gm-Message-State: AMCzsaUm11aD/gI3cIFo6JbOO/Kf5r04KEV6NEPXyRqoZS1GbiZKMyK/
 EmyEVH5xvv4QHeNIFlKm4NZt1T8hrjkNq9DV+jIf5g==
X-Google-Smtp-Source: ABhQp+Q60z7WJqC0K/yie13TwdPFnUlhowvcxxaAQjYAKNDl7/uRmBqC+sSUWiNYFp262Jjcfa/wra36s5+FX5jX31A=
X-Received: by 10.200.42.11 with SMTP id k11mr32133913qtk.273.1508944521177;
 Wed, 25 Oct 2017 08:15:21 -0700 (PDT)
Received: from 1058052472880 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 25 Oct 2017 11:15:20 -0400
From: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <20171025133820.GA54299@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
 <20171025133820.GA54299@HIDDEN>
X-Mailer: Airmail (457)
MIME-Version: 1.0
Date: Wed, 25 Oct 2017 11:15:20 -0400
Message-ID: <CAHyO48xmLE-Xqp0=E9kfgrWQ2rJevXs8TKojKz4-bhwUHMa0aw@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well with
 ns-transparent-titlebar on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On October 25, 2017 at 6:38:23 AM, Alan Third
(alan@HIDDEN(mailto:alan@HIDDEN)) wrote:

> On Fri, Oct 20, 2017 at 07:35:35AM -0400, Aaron Jensen wrote:
> > Oh, why is that? I believe that is the time that iTerm2 does not
> > create a new window. It sets borderless and resizes to full screen. If
> > that were done instead, would it help with the toolbar issue?
>
> Yeah, we could probably do it without creating a new NSWindow for
> macOS and I think it would be better behaved, but GNUstep doesn=E2=80=99t
> allow you to change the styleMask at all so it still needs to do the
> new NSWindow thing.
>
> In order to use lisp to do the fullscreen thing we=E2=80=99d need to keep
> track of various =E2=80=98windowed=E2=80=99 frame parameters, ie. undecor=
ated, width,
> height, origin, maybe others. I assume it would be OK to stick them
> into the frame-parameters alist under a special key, so we know where
> they are when we want to switch back.

This seems reasonable to me. I wonder if it would fix the lag when
full-screening that=E2=80=99s there now. That=E2=80=99s always bugged me.

> Anyway, I=E2=80=99ve pushed a fix for this particular issue.

I can confirm that it fixes the issue for me.

> It does produce
> another odd bug, though:
>
> Set non=E2=80=90native fullscreen, turn off the toolbar, switch to fullsc=
reen
> then back to windowed, re=E2=80=90enable the toolbar and watch a gap appe=
ar
> between the top of the Emacs window and the toolbar.
>
> It=E2=80=99s weird, but harder to cause than the current bad behaviour.

I can confirm this as well. It seems that going to fullscreen and then
back removes it after turning the toolbar back off. This won=E2=80=99t impa=
ct
me as I don=E2=80=99t use the toolbar at all, but I agree that this is a we=
ird
bug.

One other thing I notice is that when reenabling the toolbar the
window gets taller in height, causing the bottom to slide off screen
if it is already full-height. This isn=E2=80=99t a big deal for me, and
probably has been that way for a while, but I imagine some would find
it annoying.

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 25 Oct 2017 13:38:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 25 09:38:30 2017
Received: from localhost ([127.0.0.1]:60759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e7Lt8-0006TW-BB
	for submit <at> debbugs.gnu.org; Wed, 25 Oct 2017 09:38:30 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:49156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1e7Lt6-0006TG-Pc
 for 28872 <at> debbugs.gnu.org; Wed, 25 Oct 2017 09:38:29 -0400
Received: by mail-wm0-f44.google.com with SMTP id b189so1933147wmd.4
 for <28872 <at> debbugs.gnu.org>; Wed, 25 Oct 2017 06:38:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=Cs8Z6wPEQA6xc6E1yVhPMifYbRLcz6CwsUwb/sr5ZvM=;
 b=av2UR6lHWqApjoVuOEmmNiJrikb+R5vp85TqSq/jzuYEICcYFMs26j+AaO/zK34++u
 253oT77jB64yWKBiE7SuLINmVqKngZvwtfpZx3YD9KACHGdR6PxAtuTRZrDk6zt3BnYp
 X9c2azQvLL7ziu0o4VikkoltSVmm4N3M6s7qx+W3iCqwoPgou/M8qtI7FH/axJxPtAE+
 H3BmrAXRfc/XPo4na15M4SM2MJZi83FJ8zbikAdduUHeKzXMOa20ML2nTmD3rapoIEiN
 kiwCVf+64Tua/6amgNcN1oc6H5eHNR9GohFy9lULrESAdlxrO9d9iQadIE0C70lJNG4p
 jZKA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=Cs8Z6wPEQA6xc6E1yVhPMifYbRLcz6CwsUwb/sr5ZvM=;
 b=nQx2Ge0cH5nX78daTO/3WaHsEPiYO7FfVbgqruPDCNGZC5QS+vjnEbGftt65r6gPkF
 eBHpFp0y9Rehy62vgn24qgihcvFELO2OpfvrZxOEXzW6NeaVlyUScg8uvA49BPeyVHYQ
 r6JlC+aeZHshqdqc1sBwsNvLgCSRY5q5uTF70guBFDmvESSgFF7I6OKsaO5afK0hqTh3
 kojHI4PHPmbxT8TLHQXIypDUvb1e5haUZhZsq4J5jQCmoQ8muvzdqW9GSAevRcrw31Jz
 /ENpq1MxRgao8oCr+LjmwB0CBgm6KPqRqD2aNs44EUINoloRmwCcGS5AaGg2iB5onHYC
 7HXw==
X-Gm-Message-State: AMCzsaWyYv0+IAC4kGk5I8W78s7/o5tI/dtZT2xGt7T+OdTwDWZUVog4
 zopXTKZTgvUSw47jMV3AOPw=
X-Google-Smtp-Source: ABhQp+QgdkChNCLRvZXeYuviceTj+syyR1BucBkA8TX6qYiBm2PoOYRKsB1ORLbRbACOQ9yytxSnkA==
X-Received: by 10.28.67.133 with SMTP id q127mr1983628wma.71.1508938703002;
 Wed, 25 Oct 2017 06:38:23 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-98d4-f997-58fa-42e9.holly.idiocy.org.
 [2001:8b0:3f8:8129:98d4:f997:58fa:42e9])
 by smtp.gmail.com with ESMTPSA id l80sm2730045wmb.2.2017.10.25.06.38.21
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 25 Oct 2017 06:38:22 -0700 (PDT)
Date: Wed, 25 Oct 2017 14:38:20 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
Message-ID: <20171025133820.GA54299@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
 <20171019111710.GA12599@HIDDEN>
 <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAHyO48y5jy7L7E+BZTtTAtd5eGcUb-W54FQXhfEh444WPx4j3A@HIDDEN>
User-Agent: Mutt/1.9.0 (2017-09-02)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Fri, Oct 20, 2017 at 07:35:35AM -0400, Aaron Jensen wrote:
> On October 19, 2017 at 4:17:13 AM, Alan Third
> (alan@HIDDEN(mailto:alan@HIDDEN)) wrote:
> 
> > Non‐native fullscreen uses another NSWindow (like we were discussing
> > for undecorated frames), so when it switches back out of fullscreen it
> > changes back to the original NSWindow.
> 
> Oh, why is that? I believe that is the time that iTerm2 does not
> create a new window. It sets borderless and resizes to full screen. If
> that were done instead, would it help with the toolbar issue?

Yeah, we could probably do it without creating a new NSWindow for
macOS and I think it would be better behaved, but GNUstep doesn’t
allow you to change the styleMask at all so it still needs to do the
new NSWindow thing.

In order to use lisp to do the fullscreen thing we’d need to keep
track of various ‘windowed’ frame parameters, ie. undecorated, width,
height, origin, maybe others. I assume it would be OK to stick them
into the frame-parameters alist under a special key, so we know where
they are when we want to switch back.

Anyway, I’ve pushed a fix for this particular issue. It does produce
another odd bug, though:

Set non‐native fullscreen, turn off the toolbar, switch to fullscreen
then back to windowed, re‐enable the toolbar and watch a gap appear
between the top of the Emacs window and the toolbar.

It’s weird, but harder to cause than the current bad behaviour.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 19 Oct 2017 11:17:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 19 07:17:20 2017
Received: from localhost ([127.0.0.1]:49208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e58pD-0001jw-TB
	for submit <at> debbugs.gnu.org; Thu, 19 Oct 2017 07:17:20 -0400
Received: from mail-wr0-f182.google.com ([209.85.128.182]:48339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1e58pD-0001jl-1y
 for 28872 <at> debbugs.gnu.org; Thu, 19 Oct 2017 07:17:19 -0400
Received: by mail-wr0-f182.google.com with SMTP id u5so7932133wrc.5
 for <28872 <at> debbugs.gnu.org>; Thu, 19 Oct 2017 04:17:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=qPaH47l7zFT/DqAEi96WEzMrcim5kTBWHQaXKptfgys=;
 b=D2G2TM1s+UgB7tRcpNrAeBEKUy94vTKolI60n8g340Jzbk4tap6hcuEBJZlwDRnh3N
 SFHvuMA5/sLl94C9gE5h4XR98j1rKdkV5VSrSyX18tvhS+vdrWHiXA9dbMf9Nk2R/i11
 YFvkmIF96zcsuMNJ/7BGkr6inr4b4B5cFr5qw/Rcd5O76Jeg35SCpV07cupXqA49SgU9
 e9svprkdqUHuiOgt0+fnId17pA1obbD3HKvQsxC6EaP2weYw4xUaMuShC/D9zjIDe/4I
 A/lEQHeBmJOgDZLFmYCfaP6vTFXSvNfF6yKMZIc+8npcVjqBr4aOKotjZkfx9vUX6BKC
 Fuhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=qPaH47l7zFT/DqAEi96WEzMrcim5kTBWHQaXKptfgys=;
 b=TcBseq42huq02GlhcZjoLGS2TrzckgaZutCanJ6ihsOkegD5vBxfCIoZVc62NyLEyt
 niMJlM/8eM3XdxrvWEvi9GTrdaI4OA3TP9OEpqAOByGlRe2gNj8GZ+W+0z51EGeTP4xC
 ykyaEE/LjpKdLavesDeGNAF0k/4hGkzVzZxTAzuFx/U7t4k2K7V7P66e2VKcyOysRexE
 Ld6vHPAjyBjh/ftB1XLRLL32V+jReSrkEhSf6pcTYD/EWIfdlUy9uk15/dLKX6I8dbFH
 in74ZvdHPJKrHIA7UyMCjm2eEotn3HxMq5RAgNMqPs4WqBYX1yPJjxa+OJKy7Ca4kRdu
 m0jQ==
X-Gm-Message-State: AMCzsaW+CXCLrebK4JSs0HxxGnvPPhhNbOUnJzhEJ0mhNVm9QNIMJSPf
 5P0DYv2XNA5DOBH1FUSjL+mjdg6B
X-Google-Smtp-Source: ABhQp+T/x8YtLXDER29WbwIVIMMEXPmZIReuPLJ4fe9vHyALsBIm335U9MPjGH8J6rIj9rjA0Rqb/w==
X-Received: by 10.223.179.1 with SMTP id j1mr1323270wrd.105.1508411833266;
 Thu, 19 Oct 2017 04:17:13 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-e8c0-7337-fd5d-f719.holly.idiocy.org.
 [2001:8b0:3f8:8129:e8c0:7337:fd5d:f719])
 by smtp.gmail.com with ESMTPSA id 69sm825913wmp.11.2017.10.19.04.17.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 19 Oct 2017 04:17:12 -0700 (PDT)
Date: Thu, 19 Oct 2017 12:17:10 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
Message-ID: <20171019111710.GA12599@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
 <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
User-Agent: Mutt/1.9.0 (2017-09-02)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Wed, Oct 18, 2017 at 08:08:25PM -0500, Aaron Jensen wrote:
> On October 17, 2017 at 7:26:01 AM, Alan Third
> (alan@HIDDEN(mailto:alan@HIDDEN)) wrote:
> 
> > The issue seems to be that when switching back to the non‐fullscreen
> > NSWindow the toolbar height calculation fails and produces a negative
> > value.
> >
> > We used to use a hard‐coded value for this, but the calculation works
> > better in every circumstance except, apparently, this one.
> 
> Would it be possible to use a hard-coded 0 for the case when there is
> no toolbar at least? Or do you have a proper fix in mind?

No, I was pretty much just thinking of returning a hard‐coded value
when it’s negative.

The toolbar size calculation takes the size of the actual contentView,
which should be the space below the toolbar, and subtracts that from
the size of a calculated contentView that doesn’t have a toolbar.

This is how apple recommend you calculate the size of the toolbar.

Non‐native fullscreen uses another NSWindow (like we were discussing
for undecorated frames), so when it switches back out of fullscreen it
changes back to the original NSWindow.

At this point, the calculated contentView is correctly sized, but the
actual contentView seems to take up the ENTIRE NSWindow, including the
titlebar.

I imagine we need to somehow force the NSWindow to recalculate its
sizes, but I’ve no idea how.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 19 Oct 2017 01:08:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 18 21:08:32 2017
Received: from localhost ([127.0.0.1]:48908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4zK4-0001t2-K1
	for submit <at> debbugs.gnu.org; Wed, 18 Oct 2017 21:08:32 -0400
Received: from mail-qk0-f182.google.com ([209.85.220.182]:48551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1e4zK2-0001sp-Qv
 for 28872 <at> debbugs.gnu.org; Wed, 18 Oct 2017 21:08:31 -0400
Received: by mail-qk0-f182.google.com with SMTP id d67so8567880qkg.5
 for <28872 <at> debbugs.gnu.org>; Wed, 18 Oct 2017 18:08:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=5wun/rmCPmTdm1CyLOqubqwH0caF0vff88rrs7/qmD8=;
 b=WJYdRxzQVo/ke0xWnDV5SqLbziNQIj4OCAtSwDAEj2L79UjBq0e6gbfpziRVyukAiw
 rWjpUHKlFYSbTO0FLyjkR6N1mj8BtX2ZykuieeW997C8aO5w4U1xBBmIm9XDAS3iIcOC
 l+bPZsnIIYmx8JBPv/oDwutFzS5Sj3OVFcAbA4eYbI9OGWg+PHxPbXsWyjQohZuRhLCw
 DM76TVZHIFMn02MZSfvpyh0jLaWiVikQlwUJCws1ZL+zMSiYHl83SDibrhkC/MWimS3o
 FZ4b6jofhuSGzhNmVQ/OgzHAH6YxQ2xadHOyTtRAyxB5IeiNs3VXnomC1qNv0GbiedKY
 gOoA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=5wun/rmCPmTdm1CyLOqubqwH0caF0vff88rrs7/qmD8=;
 b=mwRiRZh0FIlwAJFzEbDm0dGOX5CMxyklHnHlahGpfDCzCZmrYf/fy83jh8UIQDowuH
 N6aU0jIVWdiHbUXkpEUbZiZA8SVSag38exDo8RYMPAlGwK9po9Fzd60UpWxOW3cWJIMr
 7FvamsMu81VxnK7R5E4Rk0nWoljXKEiqazv/S1kjlVC3CXPPBrdBrehNFDcZzRiXvNTK
 YPKG8Dq3g5+nlGPio5zsOr21PcpJBo/Px/OXTfidzpHv5N+TyWWKXYsMdh1EE/Li2aEa
 vzFfrPh0k/WYRlnUToAMmO7AfRnhunuJbInPmo65pKO6R3gymYeHTPmvd0hnLQsBTGTb
 6AZA==
X-Gm-Message-State: AMCzsaXq/ryiCtY1LuEzcpV6qUWSm0gW4QBHd3o5WR7yuhEaWLYH05ID
 cJjMn9KQ4dNnziS2fApa1wdnMqPmdkobuHurfEYPyg==
X-Google-Smtp-Source: ABhQp+RMNBEfjRnpGdBvL5aIR3vgXwxb6czKooU6p580gNJSNZTQVn2HaoANi9TQJLs/ilBfeh4thupQDjvzzVnExvg=
X-Received: by 10.55.73.70 with SMTP id w67mr5305927qka.215.1508375305390;
 Wed, 18 Oct 2017 18:08:25 -0700 (PDT)
Received: from 1058052472880 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 18 Oct 2017 20:08:25 -0500
From: Aaron Jensen <aaronjensen@HIDDEN>
In-Reply-To: <20171017142558.GA2460@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
 <20171017142558.GA2460@HIDDEN>
X-Mailer: Airmail (457)
MIME-Version: 1.0
Date: Wed, 18 Oct 2017 20:08:25 -0500
Message-ID: <CAHyO48zUGQi0Y5aa1hHwfAHfmcO3wzwhROky+hUZjV=NyJFhcg@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well with
 ns-transparent-titlebar on macOS
To: Alan Third <alan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On October 17, 2017 at 7:26:01 AM, Alan Third
(alan@HIDDEN(mailto:alan@HIDDEN)) wrote:

> The issue seems to be that when switching back to the non=E2=80=90fullscr=
een
> NSWindow the toolbar height calculation fails and produces a negative
> value.
>
> We used to use a hard=E2=80=90coded value for this, but the calculation w=
orks
> better in every circumstance except, apparently, this one.

Would it be possible to use a hard-coded 0 for the case when there is
no toolbar at least? Or do you have a proper fix in mind?

Aaron




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at 28872 <at> debbugs.gnu.org:


Received: (at 28872) by debbugs.gnu.org; 17 Oct 2017 14:26:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 17 10:26:08 2017
Received: from localhost ([127.0.0.1]:46427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4Sop-0003h0-VJ
	for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 10:26:08 -0400
Received: from mail-wr0-f174.google.com ([209.85.128.174]:47800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1e4Soo-0003gT-Jo
 for 28872 <at> debbugs.gnu.org; Tue, 17 Oct 2017 10:26:06 -0400
Received: by mail-wr0-f174.google.com with SMTP id y39so1892542wrd.4
 for <28872 <at> debbugs.gnu.org>; Tue, 17 Oct 2017 07:26:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=40YAFCd2pYWPNBFuDFeqwpPxugKB+vmDlyOIrLIcCXc=;
 b=jcvAKVdTMYqT3NlDsjjruFRKGj3Pz7i9LFT3cqOeFl9JxeVvdeR37vXzNkbgiF+4ty
 lg1U2wwRsuF5yRmemD4SbgWcmWNf4pMbaTMHtbBPMUgwULLhrR0benCecKMIaDTbHauh
 nWPSDADM8DVDoCX9CiUpaHZcm5fG7epBBHG4kT4Pskeq5H13pwCVw4V89O+khyeeLIqM
 FEtmkAVV4SXe9/8IWE9uTDvLO1nx5kVK5YJi8S8n2fETFXhDrwqZMZrSrD99liO1JUrX
 g6mdwXD0HyU2VoR1lM/F1itnKKwfVhqoyBrwOE2MGEAb/loTa8UYwYt+d/UQR0MpVJtx
 lGdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=40YAFCd2pYWPNBFuDFeqwpPxugKB+vmDlyOIrLIcCXc=;
 b=jxjnpuHKOtxfpzU3d9POU+NU2XDYe5CWbis11P88caY8UinWlckK7TipmZlqsdmhQW
 JTdQb5vq4w+krZm/8RrDyImgprWU82+ik4A4CUWoIOzx2B7PWPLUeRcMOIB0gWJs4nBI
 8xkKzTIEx3NSUSgwCc3Y93AGfFwGcY2vQ9NscsTpAuni22ZXqe9Ng0VPWXReRxwsQd9i
 ok1LVGcaeEGGHBPVGBJDLAwmzVkxaVpqVOzBPUZwjton9dkhfHReKdpU3mOhWvXJgJIx
 q94CVnPEoFI3gNq4EWubTMK9aVIdPuhcFeThDb464iu+IBkt4PKiEvhVaESNVVn9pvPA
 5E5Q==
X-Gm-Message-State: AMCzsaWXUmctUsIm8Lv233zf2+nddCOvjh+1kuD3yRNgDupnIT4hJ56v
 ZjWrXXw0A85sp00a736K5JWp6EaIcSo=
X-Google-Smtp-Source: ABhQp+SFvmG17ptMYFSaRKMQYZU1F2YQyLxaG0Cq0c8ay1pJuRgUkxSq7F8LvNChx6tVkxIer9t3Og==
X-Received: by 10.223.159.81 with SMTP id f17mr3680223wrg.4.1508250360893;
 Tue, 17 Oct 2017 07:26:00 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-e8c0-7337-fd5d-f719.holly.idiocy.org.
 [2001:8b0:3f8:8129:e8c0:7337:fd5d:f719])
 by smtp.gmail.com with ESMTPSA id e134sm10877383wma.31.2017.10.17.07.25.59
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 17 Oct 2017 07:26:00 -0700 (PDT)
Date: Tue, 17 Oct 2017 15:25:58 +0100
From: Alan Third <alan@HIDDEN>
To: Aaron Jensen <aaronjensen@HIDDEN>
Subject: Re: bug#28872: 26.0.90; non-native-fullscreen does not play well
 with ns-transparent-titlebar on macOS
Message-ID: <20171017142558.GA2460@HIDDEN>
References: <m2sheisck4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2sheisck4.fsf@HIDDEN>
User-Agent: Mutt/1.9.0 (2017-09-02)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 28872
Cc: 28872 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Mon, Oct 16, 2017 at 08:00:59PM -0700, Aaron Jensen wrote:
> 
> From emacs -Q:
> 
> (ns-toggle-toolbar)
> (set-frame-parameter nil 'ns-transparent-titlebar t)
> (setq ns-use-native-fullscreen nil)
> (toggle-frame-fullscreen)
> (toggle-frame-fullscreen)
> 
> This leaves you in a situation where the frame moves up into where the
> title bar should be. Resizing the frame manually fixes it.
> 
> Here's a screenshot: https://screenshots-dx37.s3.amazonaws.com/20171016-195851-kfuhu.png

You don’t need to invoke transparent titlebars nor remove the toolbar
to see this problem.

The issue seems to be that when switching back to the non‐fullscreen
NSWindow the toolbar height calculation fails and produces a negative
value.

We used to use a hard‐coded value for this, but the calculation works
better in every circumstance except, apparently, this one.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2017 03:01:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 16 23:01:29 2017
Received: from localhost ([127.0.0.1]:44570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4I8E-0001NJ-Kh
	for submit <at> debbugs.gnu.org; Mon, 16 Oct 2017 23:01:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aaronjensen@HIDDEN>) id 1e4I8B-0001N4-Vr
 for submit <at> debbugs.gnu.org; Mon, 16 Oct 2017 23:01:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1e4I82-0001ja-EP
 for submit <at> debbugs.gnu.org; Mon, 16 Oct 2017 23:01:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42662)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <aaronjensen@HIDDEN>)
 id 1e4I82-0001j8-AP
 for submit <at> debbugs.gnu.org; Mon, 16 Oct 2017 23:01:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39640)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1e4I7x-0007E6-NG
 for bug-gnu-emacs@HIDDEN; Mon, 16 Oct 2017 23:01:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronjensen@HIDDEN>) id 1e4I7u-0001b3-0d
 for bug-gnu-emacs@HIDDEN; Mon, 16 Oct 2017 23:01:09 -0400
Received: from mail-pg0-x229.google.com ([2607:f8b0:400e:c05::229]:43117)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <aaronjensen@HIDDEN>)
 id 1e4I7t-0001ZN-MQ
 for bug-gnu-emacs@HIDDEN; Mon, 16 Oct 2017 23:01:05 -0400
Received: by mail-pg0-x229.google.com with SMTP id s75so315010pgs.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 16 Oct 2017 20:01:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=qDJg8qDUoNo8gJvanWxZIqIJgeces2R3E+ghDlwG5fQ=;
 b=cnL6ooUduJinDWvRilm6Na0qWlYh4q6sMZwJbz/XSiYBxsiqz1q6fywcgmgyXTf5/2
 Jr8xDYeGJb//0S51zsa5TaVWUN9MzE461B2hYxDJY3srG2UGxtcY5la5gI065+1OhcqC
 R9JXB8FOlXFgRM0n1BC0xgzws/VQy5kdu4jGoCW3vYviTVaxGMcqFlN2cYX5+UA8zWi5
 7/u/EUGtI1g4xlcjldZEqVCFnvJwUS2OZ19zJonDF/reZg1R/VcYEdhDTWQ0Yhmf27G/
 S4Q9NFOnvrLheGSyzzOh7WZuT+CuS/tnP+aaY3l8mtMwLxOqVA19qOBdA2RdVTIXIrtw
 Hp5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=qDJg8qDUoNo8gJvanWxZIqIJgeces2R3E+ghDlwG5fQ=;
 b=ctp8XS8cQpXzJHVziEt6WLlxQr7e52HN+qIx9jL0364Dv8Xw5YrEJCMteW+L6Y0kQM
 jIPHrQN/1LW/t19M2qAFyDh7NQ2rMVtaSeczECVAtI1L90yz7LmQZCTisQGQw8gauWFu
 ipf4kRItsnfevfxSIjuo28tBrogpMfLo6Vly6uVaTMBZVLbZTP4xoH96QfjUNOQQDE5y
 OWgfBVVdGKb+yewuMlQ2Ec3Y06YHdSWIwvEkYBaoxIQ9EBXLCVzDRFPHWXeOiyTg6SHE
 b8J3DA5D7aFwWFhTuhQPiHZ27gS/k/o7G/Hbqyky6OAvZiyAhlLxtmpTKDUOSTAJy2wN
 YO1A==
X-Gm-Message-State: AMCzsaXUZkZNgbj4UMiMDevdVqImfZVU1Hz7ILDH6G9S/Tsh0K1ker1w
 RA/AMz/IJSWXgqYhIrt+vCKzRaCY
X-Google-Smtp-Source: AOwi7QDJfkrSpJDypa2nqCv+QYbN3w1mwqkBTenQ5+So337YvVCN0+NCpWFGaU6h5oKs5J2PlGCjxg==
X-Received: by 10.159.233.133 with SMTP id bh5mr10335031plb.28.1508209262463; 
 Mon, 16 Oct 2017 20:01:02 -0700 (PDT)
Received: from aaron-mbpt.local (c-76-28-156-232.hsd1.wa.comcast.net.
 [76.28.156.232])
 by smtp.gmail.com with ESMTPSA id z65sm13650104pgb.50.2017.10.16.20.01.00
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 16 Oct 2017 20:01:01 -0700 (PDT)
From: Aaron Jensen <aaronjensen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.90;
 non-native-fullscreen does not play well with ns-transparent-titlebar
 on macOS
Date: Mon, 16 Oct 2017 20:00:59 -0700
Message-ID: <m2sheisck4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


From emacs -Q:

(ns-toggle-toolbar)
(set-frame-parameter nil 'ns-transparent-titlebar t)
(setq ns-use-native-fullscreen nil)
(toggle-frame-fullscreen)
(toggle-frame-fullscreen)

This leaves you in a situation where the frame moves up into where the
title bar should be. Resizing the frame manually fixes it.

Here's a screenshot: https://screenshots-dx37.s3.amazonaws.com/20171016-195851-kfuhu.png


In GNU Emacs 26.0.90 (build 1, x86_64-apple-darwin17.0.0, NS appkit-1561.00 Version 10.13 (Build 17A405))
 of 2017-10-12 built on aaron-mbpt.local
Repository revision: 59b5dc60d660f81f8b781068d13727ed812ad555
Windowing system distributor 'Apple', version 10.3.1561
Recent messages:
Indentation variables are now local.
Indentation setup for shell type zsh
Appointment reminders enabled (no diary file found)
Added 4 events for today
Saving file /Users/aaronjensen/.emacs.d/.cache/work.org...
Wrote /Users/aaronjensen/.emacs.d/.cache/work.org
Fetched data overwrote
/Users/aaronjensen/.emacs.d/.cache/work.org
Added 4 events for today
Quit

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/info/emacs
 --prefix=/usr/local/Cellar/emacs-plus/HEAD-59b5dc6 --with-xml2
 --without-dbus --with-gnutls --with-imagemagick --with-modules
 --with-rsvg --with-ns --disable-ns-self-contained'

Configured features:
JPEG RSVG IMAGEMAGICK NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS MODULES LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  magit-auto-revert-mode: t
  company-mode: t
  auto-compile-mode: t
  elisp-slime-nav-mode: t
  eros-mode: t
  lispyville-mode: t
  lispy-mode: t
  nameless-mode: t
  goto-address-prog-mode: t
  bug-reference-prog-mode: t
  auto-highlight-symbol-mode: t
  highlight-numbers-mode: t
  highlight-parentheses-mode: t
  rainbow-delimiters-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-git-gutter+-mode: t
  git-gutter+-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  recentf-mode: t
  evil-mc-mode: t
  hl-todo-mode: t
  global-spacemacs-whitespace-cleanup-mode: t
  spacemacs-whitespace-cleanup-mode: t
  ws-butler-global-mode: t
  ws-butler-mode: t
  winum-mode: t
  winner-mode: t
  pupo-mode: t
  purpose-mode: t
  volatile-highlights-mode: t
  global-vi-tilde-fringe-mode: t
  vi-tilde-fringe-mode: t
  spaceline-info-mode: t
  spaceline-helm-mode: t
  save-place-mode: t
  savehist-mode: t
  projectile-rails-global-mode: t
  projectile-mode: t
  persp-mode: t
  global-origami-mode: t
  origami-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  flx-ido-mode: t
  eyebrowse-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  global-evil-search-highlight-persist: t
  evil-search-highlight-persist: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  evil-lion-mode: t
  evil-escape-mode: t
  global-anzu-mode: t
  anzu-mode: t
  eval-sexp-fu-flash-mode: t
  editorconfig-mode: t
  global-edit-server-edit-mode: t
  dtrt-indent-mode: t
  diff-auto-refine-mode: t
  counsel-mode: t
  ivy-mode: t
  clean-aindent-mode: t
  hybrid-mode: t
  which-key-mode: t
  override-global-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  evil-mode: t
  evil-local-mode: t
  spacemacs-leader-override-mode: t
  global-spacemacs-leader-override-mode: t
  global-hl-line-mode: t
  xterm-mouse-mode: t
  global-auto-revert-mode: t
  auto-revert-mode: t
  shell-dirtrack-mode: t
  ido-vertical-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t
  hs-minor-mode: t

Load-path shadows:
/Users/aaronjensen/.emacs.d/elpa/26.0/org-mac-link-20170105.1723/org-mac-link hides /Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-mac-link
/Users/aaronjensen/.emacs.d/elpa/26.0/ht-20161015.1945/ht hides /Users/aaronjensen/.emacs.d/core/libs/ht
/Users/aaronjensen/.emacs.d/elpa/26.0/less-css-mode-20160930.2153/less-css-mode hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/textmodes/less-css-mode
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-stan hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-stan
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-exp hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-exp
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-J hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-J
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-eshell hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-eshell
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-emacs-lisp hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-emacs-lisp
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-gnus hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-gnus
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-css hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-css
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-lob hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-lob
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-forth hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-forth
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-macs hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-macs
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-version hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-version
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-scheme hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-scheme
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-abc hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-abc
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-C hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-C
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-capture hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-capture
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-ref hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-ref
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-clojure hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-clojure
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-mouse hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-mouse
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-ledger hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-ledger
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-ctags hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-ctags
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-entities hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-entities
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-archive hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-archive
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-screen hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-screen
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-haskell hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-haskell
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-asymptote hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-asymptote
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-mhe hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-mhe
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-table hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-table
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-keys hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-keys
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-org hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-org
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-plot hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-plot
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-awk hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-awk
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-groovy hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-groovy
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-octave hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-octave
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-faces hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-faces
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-colview hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-colview
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-R hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-R
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-timer hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-timer
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-ebnf hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-ebnf
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-mobile hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-mobile
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-fortran hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-fortran
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-shell hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-shell
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-perl hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-perl
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-sqlite hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-sqlite
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-sed hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-sed
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-list hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-list
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-ruby hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-ruby
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-eval hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-eval
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-habit hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-habit
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-clock hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-clock
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-html hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-html
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-src hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-src
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-lisp hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-lisp
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-ditaa hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-ditaa
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-pcomplete hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-pcomplete
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-lint hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-lint
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-rmail hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-rmail
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-latex hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-latex
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-sass hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-sass
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-io hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-io
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-tangle hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-tangle
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-calc hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-calc
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-java hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-java
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-icalendar hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-icalendar
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-eww hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-eww
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-md hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-md
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-beamer hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-beamer
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-element hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-element
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-protocol hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-protocol
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-mscgen hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-mscgen
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-gnuplot hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-gnuplot
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-latex hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-latex
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-id hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-id
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-vala hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-vala
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-man hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-man
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-feed hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-feed
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-lua hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-lua
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-table hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-table
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-ocaml hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-ocaml
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-coq hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-coq
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-picolisp hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-picolisp
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-indent hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-indent
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-lilypond hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-lilypond
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-matlab hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-matlab
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-datetree hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-datetree
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-python hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-python
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-bbdb hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-bbdb
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-makefile hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-makefile
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-duration hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-duration
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-agenda hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-agenda
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-dot hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-dot
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-js hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-js
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-publish hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-publish
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-inlinetask hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-inlinetask
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-org hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-org
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-core hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-core
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-compat hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-compat
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-docview hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-docview
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-odt hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-odt
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-plantuml hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-plantuml
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-ascii hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-ascii
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-loaddefs hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-loaddefs
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-w3m hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-w3m
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-bibtex hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-bibtex
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-info hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-info
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-hledger hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-hledger
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-maxima hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-maxima
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-macro hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-macro
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-sql hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-sql
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-attach hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-attach
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-processing hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-processing
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ox-texinfo hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ox-texinfo
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-irc hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-irc
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-crypt hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-crypt
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-footnote hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-footnote
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/org-install hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/org-install
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-comint hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-comint
/Users/aaronjensen/.emacs.d/elpa/26.0/org-plus-contrib-20171009/ob-shen hides /usr/local/Cellar/emacs-plus/HEAD-59b5dc6/share/emacs/26.0.90/lisp/org/ob-shen

Features:
(shadow sort mail-extr emacsbug sendmail appt diary-lib diary-loaddefs
org-duration smartparens-lua lua-mode alchemist alchemist-macroexpand
alchemist-company alchemist-help alchemist-complete alchemist-refcard
alchemist-phoenix alchemist-compile alchemist-iex alchemist-message
alchemist-hooks alchemist-hex alchemist-mix alchemist-info
alchemist-goto alchemist-scope alchemist-eval alchemist-interact
alchemist-server alchemist-execute alchemist-report alchemist-test-mode
alchemist-project alchemist-file alchemist-key alchemist-utils
smartparens-elixir flycheck-dialyxir flycheck-credo flycheck-dogma
elixir-mode pkg-info epl elixir-smie sh-script org-agenda executable pp
emoji-cheat-sheet-plus helm helm-source helm-multi-match helm-lib
company-emoji company-emoji-list org-eldoc evil-org org-table ob-ruby
ob-shell org-bullets org-download toc-org org-indent image-file
org-rmail org-mhe org-irc org-info org-gnus org-docview doc-view
org-bibtex bibtex org-bbdb org-w3m org-gcal org-archive org-inlinetask
ob-elixir ob-http ob-http-mode ob-restclient restclient ox-gfm ox-md
ox-reveal ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util
rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox orgit org-element
avl-tree generator magithub magithub-orgs magithub-issue-tricks
magithub-issue-post magithub-issue-status magithub-label magithub-proxy
magithub-ci magithub-pr magithub-issue ghub+ apiwrap magithub-core ghub
git-rebase magit-gh-pulls gh gh-users gh-issues gh-pulls gh-repos
gh-comments gh-gist gh-oauth gh-api logito gh-cache gh-auth gh-url
url-http tls gnutls url-auth url-gw nsm evil-magit magit-obsolete
magit-blame magit-stash magit-bisect magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-branch magit-files
magit-refs magit-status magit magit-repos magit-apply magit-wip
magit-log magit-diff smerge-mode magit-core magit-autorevert
magit-process magit-margin magit-mode magit-git magit-section
magit-popup org org-macro org-footnote org-pcomplete org-list org-faces
org-entities org-version ob-emacs-lisp ob ob-tangle org-src ob-ref
ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat
org-macs org-loaddefs cal-menu calendar cal-loaddefs request-deferred
deferred request url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap alert log4e
notifications dbus xml gntp mwim colir smex misearch multi-isearch
vc-git open-junk-file company-files company-keywords
company-dabbrev-code company-dabbrev company-capf company-tng company
auto-compile packed elisp-slime-nav eros flycheck-package package-lint
finder lispyville lispy iedit iedit-lib lispy-inline avy semantic/db
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet evil-ediff ediff-merg ediff-wind ediff-diff
ediff-mult ediff-help ediff-init ediff-util ediff edebug lispy-tags
nameless goto-addr bug-reference auto-highlight-symbol highlight-numbers
parent-mode highlight-parentheses hideshow rainbow-delimiters yasnippet
elec-pair editorconfig-core editorconfig-core-handle
editorconfig-fnmatch git-gutter-fringe+ fringe-helper git-gutter+
git-commit with-editor async-bytecomp async magit-utils crm log-edit
message rmc puny rfc822 mml mml-sec epa epg gnus-util rmail
rmail-loaddefs mailabbrev mail-utils gmm-utils mailheader pcvs-util
add-log recentf tree-widget restore-frame-position contextual-menubar
quiet-emacs fill-or-unfill init-xclip init-flyspell init-terminal-cursor
evil-terminal-cursor-changer init-org init-magit evil-mc
evil-mc-command-execute evil-mc-command-record evil-mc-cursor-make
evil-mc-region evil-mc-cursor-state evil-mc-undo evil-mc-vars
evil-mc-known-commands evil-mc-common hl-todo ucs-utils persistent-soft
list-utils pcache eieio-base font-utils server zone xterm-color
spacemacs-whitespace-cleanup ws-butler winum winner
spacemacs-purpose-popwin window-purpose-x imenu-list imenu dired
dired-loaddefs window-purpose window-purpose-fixes
window-purpose-prefix-overload window-purpose-switch let-alist
window-purpose-layout window-purpose-core window-purpose-configuration
window-purpose-utils volatile-highlights vi-tilde-fringe unicode-fonts
tmux string-inflection spaceline-config spaceline-segments spaceline
powerline powerline-separators color powerline-themes smartparens-config
smartparens-text smartparens-ruby saveplace savehist ruby-test-mode
pcre2el rxt re-builder projectile-rails rake f inflections inf-ruby
ruby-mode smie projectile grep compile ibuf-ext ibuffer ibuffer-loaddefs
popwin persp-mode osx-trash origami origami-parsers linum ivy-hydra
info+ image-mode gh-common gh-profile s marshal flycheck-pos-tip pos-tip
flycheck-flow flycheck find-func flx-ido eyebrowse evil-surround
evil-search-highlight-persist evil-numbers evil-lisp-state smartparens
dash evil-lion evil-indent-plus evil-exchange evil-escape evil-args
evil-anzu anzu eval-sexp-fu highlight editorconfig edit-server noutline
outline dtrt-indent rx docker-tramp tramp-cache diff-hl vc-dir ewoc vc
vc-dispatcher diff-mode counsel jka-compr esh-util etags xref project
swiper ivy flx delsel ivy-overlay ffap clean-aindent-mode adaptive-wrap
hybrid-mode exec-path-from-shell evil-evilified-state which-key
use-package diminish bind-key hydra lv cus-edit evil evil-integration
undo-tree diff evil-maps evil-commands flyspell ispell evil-jumps
evil-command-window evil-types evil-search evil-ex evil-macros
evil-repeat evil-states evil-core evil-common windmove thingatpt rect
evil-digraphs evil-vars info bind-map quelpa help-fns radix-tree
package-build mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr json map lisp-mnt hl-line xt-mouse
autorevert filenotify cl-extra disp-table wid-edit monokai-theme
finder-inf tramp tramp-compat tramp-loaddefs trampver shell pcomplete
comint ansi-color ring parse-time format-spec cus-start cus-load
init-sass init-php init-html init-evil core-configuration-layer
eieio-compat ht cl help-mode warnings package epg-config url-handlers
url-parse auth-source cl-seq password-cache url-vars eieio eieio-core
eieio-loaddefs ido-vertical-mode ido seq byte-opt bytecomp byte-compile
cconv core-spacemacs core-use-package-ext core-transient-state
core-micro-state core-toggle core-keybindings core-fonts-support
core-spacemacs-buffer core-funcs cl-macs gv core-themes-support
core-display-init core-jump core-release-management core-custom-settings
core-dotspacemacs core-command-line pcase core-debug edmacro kmacro
derived advice profiler easymenu cl-loaddefs cl-lib page-break-lines
easy-mmode subr-x time-date tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/ns-win ns-win ucs-normalize
mule-util term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote kqueue cocoa ns lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 1575632 1054440)
 (symbols 48 91440 1)
 (miscs 40 3216 5353)
 (strings 32 391196 155737)
 (string-bytes 1 10993088)
 (vectors 16 145363)
 (vector-slots 8 4137564 486888)
 (floats 8 609 2711)
 (intervals 56 32244 4322)
 (buffers 992 71))




Acknowledgement sent to Aaron Jensen <aaronjensen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28872; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Nov 2017 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.